function Anim_Name(actorA, actorB, actorC, fadeTime, overridePos, overrideRot)
actorA = Human(actorA, "kasumi")
actorB = Human(actorB, "lunafreya")
actorC = Human(actorC, "black male")

local point = MapPoint("map_photostudio", Pos(30.197, 0.014, 24.062), Rot(0, 0, 0), overridePos, overrideRot, function()
	Skybox("nightsky", 0, 0).Light("TX_Light_PhotoSpot01_Emissive_R", 0, 0, 1E-05).Light("TX_Light_PhotoSpot01_Emissive", 0, 0, 1E-05).Light("TX_Light_Suspended01_OFF_R", 0, 0, 3E-06).Light("TX_Light_Suspended01_OFF_Mid", 0, 0, 1E-06)
end)
actorA.PlaceAt(Pos(-0.179, -0.014, 0.164), Rot(0, 127.251, 0), point)
actorB.PlaceAt(Pos(0.178, -0.014, -0.163), Rot(0, 312.051, 0), point)
actorC.PlaceAt(Pos(-0.062, 0.014, 0.014), Rot(0, 131.119, 0), point)

actorA.Body("Fluid speed", 0.09)
actorB.Body("Fluid speed", 0.09)
actorC.Body("Fluid speed", 0.09)

actorA.Customize("Kimono", 2)
actorB.Customize("Shirt", 1, "Dress", 1, "Penis", 1)

PoseCam(Pos(-2.809, 1.719, -2.936), Pos(-0.128, 1.019, -0.048), point)

NewClip().Layer(MotionLayer.PlayerPose).Fade(fadeTime).Actors(actorA, actorB).WrapMode(MotionWrap.Loop).Data(
	Hips(WPos(0, 0.286, 0.218)),
	HipsRot(16.1, 0, -6.35),
	Head(0.007, 0.998, 0.068),
	HeadRot(340.977, 4.054, 3.308),
	EyeL(CameraPos()),
	EyeR(CameraPos()),
	FootL(WSurface(TPos(-0.125, -0.064, -0.096), 0, -1)),
	FootR(WSurface(TPos(0.124, -0.064, -0.102), 0, -1)),
	HandL(BoneMesh(TargetActor.A, "Bone_Thigh_R", 0.599, -0.106, 0.03), Wrist(HPoint(0, -0.3, 0.7, 90), 0, 35)),
	ThumbL(20, 20, 20, 0, 0, TargetActor.A, "Bone_Thigh_R"),
	IndexL(20, 20, 20, 0, 0, TargetActor.A, "Bone_Thigh_R"),
	MidL(20, 20, 20, 0, 0, TargetActor.A, "Bone_Thigh_R"),
	RingL(20, 20, 20, 0, 0, TargetActor.A, "Bone_Thigh_R"),
	PinkyL(20, 20, 20, 0, 0, TargetActor.A, "Bone_Thigh_R"),
	HandR(BoneMesh(TargetActor.A, "Bone_Thigh_L", 0.726, -0.021, 0.03), Wrist(HPoint(0, -0.3, 0.7, 90), 0, 35)),
	ThumbR(20, 20, 20, 0, 0, TargetActor.A, "Bone_Thigh_L"),
	IndexR(20, 20, 20, 0, 0, TargetActor.A, "Bone_Thigh_L"),
	MidR(20, 20, 20, 0, 0, TargetActor.A, "Bone_Thigh_L"),
	RingR(20, 20, 20, 0, 0, TargetActor.A, "Bone_Thigh_L"),
	PinkyR(20, 20, 20, 0, 0, TargetActor.A, "Bone_Thigh_L"),
	ElbowL(0.26),
	ElbowR(-0.149),
	KneeL(-0.099),
	KneeR(-0.195),
	Mouth(-0.663, -0.762, 0, 0.384, 0.384, -0.002, -0.002),
	Brows(0.312, 0.312, 0.31, 0.31)
)
NewClip().Layer(MotionLayer.PlayerPose).Fade(fadeTime).Actors(actorB, actorC, actorA).WrapMode(MotionWrap.Loop).Data(
	Penis(TargetActor.B, "Mouth", TargetActor.Null, "", 0, 0, 0, 0, true, 0.353, 0.344, 0.773, 0.438, false, 0.25, 0.65, 1.25, 1.562, 1.2),
	Hips(WPos(0, 0.963, -0.003)),
	HipsRot(1.75),
	Head(0, 1, 0.031),
	HeadRot(30.28, 1.281, 10.755),
	EyeL(CameraPos()),
	EyeR(CameraPos()),
	FootL(WSurface(TPos(-0.326, -0.067, -0.052), 0, -1)),
	FootR(WSurface(TPos(0.289, -0.067, 0.046), 0, -1)),
	HandL(BoneMesh(TargetActor.A, "Bone_Calf_R", 0.135, 0.012), Wrist(HPoint(0, -0.3, 0.7, 90), 0, 35)),
	ThumbL(20, 20, 20, 0, 0, TargetActor.A, "Bone_Calf_R"),
	IndexL(20, 20, 20, 0, 0, TargetActor.A, "Bone_Calf_R"),
	MidL(20, 20, 20, 0, 0, TargetActor.A, "Bone_Calf_R"),
	RingL(20, 20, 20, 0, 0, TargetActor.A, "Bone_Calf_R"),
	PinkyL(20, 20, 20, 0, 0, TargetActor.A, "Bone_Calf_R"),
	HandR(BoneMesh(TargetActor.A, "Bone_Calf_L", -0.255, -0.083), Wrist(HPoint(0, -0.3, 0.7, 90), 0, 35)),
	ThumbR(20, 20, 20, 0, 0, TargetActor.A, "Bone_Calf_L"),
	IndexR(20, 20, 20, 0, 0, TargetActor.A, "Bone_Calf_L"),
	MidR(20, 20, 20, 0, 0, TargetActor.A, "Bone_Calf_L"),
	RingR(20, 20, 20, 0, 0, TargetActor.A, "Bone_Calf_L"),
	PinkyR(20, 20, 20, 0, 0, TargetActor.A, "Bone_Calf_L"),
	ElbowL(-1),
	ElbowR(-1),
	WristL(-45.788, 0, 102.82),
	WristR(10.872, 0, -22.867),
	KneeL(-0.43),
	KneeR(-0.178),
	SpineRot(),
	Mouth(0, 0, 0, 0.384, 0.384, 0, 0, 0.833, 0.833, 0.438, 0.438)
)
NewClip().Layer(MotionLayer.PlayerPose).Fade(fadeTime).Actors(actorC, actorB).WrapMode(MotionWrap.Loop).Data(
	Penis(TargetActor.A, "Mouth", TargetActor.Null, "", 0, 0, 0, 0, true, 0.115, 0.151, 0.761, 0.439, false, 0.25, 0.65, 1.25, 1.923, 1.2),
	Hips(WPos(-0.002, 1.467, -0.036)),
	HipsRot(21.2, 0, 5.875),
	Head(0.001, 1, -0.012),
	HeadRot(349.769, 355.242, 359.961),
	EyeL(CameraPos()),
	EyeR(CameraPos()),
	FootL(WPos(-0.05, 1.063, -0.406)),
	FootR(WPos(0.321, 1.293, -0.368)),
	HandL(BoneMesh(TargetActor.A, "Bone_Head", 1.503, 0.915), Wrist(HPoint(0, -0.3, 0.7, 90), 0, 35)),
	ThumbL(20, 20, 20, 0, 0, TargetActor.A, "Bone_Head"),
	IndexL(20, 20, 20, 0, 0, TargetActor.A, "Bone_Head"),
	MidL(20, 20, 20, 0, 0, TargetActor.A, "Bone_Head"),
	RingL(20, 20, 20, 0, 0, TargetActor.A, "Bone_Head"),
	PinkyL(20, 20, 20, 0, 0, TargetActor.A, "Bone_Head"),
	HandR(BoneMesh(TargetActor.A, "Bone_Head", 1.327, -0.928), Wrist(HPoint(0, -0.3, 0.7, 90), 0, 35)),
	ThumbR(20, 20, 20, 0, 0, TargetActor.A, "Bone_Head"),
	IndexR(20, 20, 20, 0, 0, TargetActor.A, "Bone_Head"),
	MidR(20, 20, 20, 0, 0, TargetActor.A, "Bone_Head"),
	RingR(20, 20, 20, 0, 0, TargetActor.A, "Bone_Head"),
	PinkyR(20, 20, 20, 0, 0, TargetActor.A, "Bone_Head"),
	ElbowL(),
	ElbowR(),
	WristL(),
	WristR(),
	KneeL(-0.562),
	KneeR(0.027),
	AnkleL(55),
	AnkleR(55),
	SpineRot(),
	Mouth(),
	Brows(),
	EyelidL(),
	EyelidR(),
	Cheeks()
)
end